Bug 1343098 - [Nagios]: Volume quota service continues to get displayed as OK even after crossing soft/hard limits for objects
Summary: [Nagios]: Volume quota service continues to get displayed as OK even after cr...
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nagios-server-addons
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: sankarshan
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 13:36 UTC by Sweta Anandpara
Modified: 2018-01-30 07:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-30 07:55:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sweta Anandpara 2016-06-06 13:36:17 UTC
Description of problem:
======================
Have a volume mounted over fuse/nfs and create directory dir1. Set the quota limit-objects on the server for /dir1 to 10. Configure nagios and verify that quota daemon is displayed as 'running' and 'volume quota' service gets displayed as OK. Create 8 files to reach soft limit and validate the change in the web UI. Create 2 more files to reach the hard limit and again validate the change in service. It continues to get displayed as OK.


Version-Release number of selected component (if applicable):
============================================================
3.7.9-7
gluster-nagios-addons-0.2.7-1.el7rhgs.x86_64
nagios-server-addons-0.2.5-1.el7rhgs.x86_64



How reproducible: 1:1
=================

Actual results:
==============
Volume quota service continues to get displayed as OK even after reaching soft and hard limits.


Expected results:
==================
The service should go to 'warning' after reaching soft limt and to 'critical' after reaching hard limit.

Comment 2 Sahina Bose 2016-06-07 10:50:44 UTC
#gluster v quota distrep2 list-objects
                  Path                   Hard-limit   Soft-limit      Files       Dirs     Available  Soft-limit exceeded? Hard-limit exceeded?
-----------------------------------------------------------------------------------------------------------------------------------------------
/dir1                                            8       80%(6)          3         4           1             Yes                   No


However, plugin currently does not monitor the object-limit quota, only capacity usage.

Marking this as an RFE to add this monitoring capability

Comment 5 Sahina Bose 2018-01-30 07:55:31 UTC
Thank you for the bug report. However, closing this as the bug is filed against gluster nagios monitoring for which no further new development is being undertaken.


Note You need to log in before you can comment on or make changes to this bug.